Bug 39236 - Segmentation Fault while compiling 7.1 2.4.2-2 kernel
Segmentation Fault while compiling 7.1 2.4.2-2 kernel
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: make (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-05 17:54 EDT by Steve Jackson
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-06 07:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Jackson 2001-05-05 17:54:54 EDT
Description of Problem:

Internal error: Segmentation fault

How Reproducible:

Using the kernel-source-2.4.2-2 i have tried to make a kernel but i get a
segmentation fault while trying to do a make bzImage.

Steps to Reproduce:
1. Install kernel-source-2.4.2-2 via "rpm -i kernel-source-2.4.2-2"
2. Use make menuconfig to create .config file
3. Make Dep
4. Make Clean
5. Make bzImage

Actual Results:

gcc -D__KERNEL__ -I/usr/src/linux-2.4/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-unused -pipe
-mpreferred-stack-boundary=2 -march=i586    -c -o icmp.o icmp.c
In file included from /usr/src/linux-2.4/include/linux/skbuff.h:27,
                 from /usr/src/linux-2.4/include/linux/netdevice.h:143,
                 from icmp.c:71:
/usr/src/linux-2.4/include/linux/highmem.h: In function
`memclear_highpage_flush':
/usr/src/linux-2.4/include/linux/highmem.h:82: Internal error: Segmentation
fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [icmp.o] Error 2
make[3]: Leaving directory `/usr/src/linux-2.4.2/net/ipv4'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.2/net/ipv4'
make[1]: *** [_subdir_ipv4] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.2/net'
make: *** [_dir_net] Error 2

Expected Results:

Clean Compliation

Additional Information:
	
I am pretty competent in installing kernels and have two other machines
that do not suffer from this problem.  I have even tried reinstalling
Redhat from scratch but it makes no difference.
All hardware is okay and memory checks seem to show no problems also.

The Machine is a Cyrix 6x86MX PR233 with 64MB RAM.
Comment 1 Jakub Jelinek 2001-05-05 19:39:22 EDT
Are you able to reproduce it?
If yes, can you rerun the above command line with additional -save-temps -v
arguments and attach here icmp.i?
Comment 2 Steve Jackson 2001-05-06 07:04:08 EDT
I have rebooted and recompiled one more time, so far it seems to have stopped,
also tried recompiling from scratch with no problems.
Before the computer was rebuilt i was suffering from a complete lockup every
time i compiled a new kernel, this was only fixed by switching it off at the
plug.

As i cannot replicate the problem anymore it might be wise to close this bug
report and see how/if things develop in the future.
Comment 3 Jakub Jelinek 2001-05-07 06:55:29 EDT
This looks most probably like hardware problems, there is a small chance
it might be kernel problem, but definitely not compiler bug (compilers
are deterministic programs, so you must either reproduce it always, or never).
Also, if kernel compilation results in system lockup, this is again something
compiler is not able to do or unless the hardware has issues.
Problems could appear if you were running out of virtual memory, but they would
not look like lockups, the kernel would simply start killing some offending
tasks (most probably gcc), but you'd know from kernel messages what's going on.

Note You need to log in before you can comment on or make changes to this bug.